<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SleeveClassTask](./bitburner.sleeveclasstask.md)

## SleeveClassTask type


**Signature:**

```typescript
type SleeveClassTask = {
  type: "CLASS";
  classType: UniversityClassType | GymType;
  location: LocationName;
};
```
**References:** [UniversityClassType](./bitburner.universityclasstype.md)<!-- -->, [GymType](./bitburner.gymtype.md)<!-- -->, [LocationName](./bitburner.locationname.md)

